Configuration(function(ContextRegister, RepositoryFactory, ZHPromise) {
	var OperatorRepository = RepositoryFactory.factory('/OperatorRepository', 'MEMORY', 1, 1000000);

	var currentOperator = null;
	OperatorRepository.findOneInMemory = function() {
		if(!currentOperator){
			return OperatorRepository.findOne().then(function(operatorData){
				currentOperator = operatorData;
				window.operatorData = currentOperator;
				return currentOperator;
			});
		}else{
			window.operatorData = currentOperator;
			return ZHPromise.when(currentOperator);
		}
	};

	var oldSave = OperatorRepository.save;

	OperatorRepository.saveInMemory = function(obj) {
		currentOperator = null;
		oldSave(obj);
		if(Array.isArray(obj)){
			if(obj[0]){
				obj=obj[0];
			}
		}
		window.operatorData = obj;
		return ZHPromise.when(obj);
	};

	OperatorRepository.save = OperatorRepository.saveInMemory;
	ContextRegister.register('OperatorRepository', OperatorRepository, 1, 30000);
});